#
# spec file for package Mesa
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define glamor 0
%define _version 9.0.3
%define _name_archive MesaLib

Name:           Mesa
Version:        9.0.3
Release:        0.28.29.2
BuildRequires:  gcc-c++ libdrm-devel libexpat-devel pkgconfig python-base xorg-x11-devel
BuildRequires:  bison fdupes flex libtalloc-devel libxml2-python
%ifarch %ix86 x86_64
BuildRequires:  llvm-devel
%endif
Url:            http://www.mesa3d.org
License:        X11/MIT
Group:          System/Libraries
Provides:       xorg-x11-Mesa = %{version} intel-i810-Mesa = %{version} Mesa7 = %{version}
Obsoletes:      xorg-x11-Mesa < %{version} intel-i810-Mesa < %{version} Mesa7 < %{version}
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      XFree86-Mesa-64bit < %{version} Mesa-64bit < %{version}
Provides:       XFree86-Mesa-64bit = %{version} Mesa-64bit < %{version}
%endif
#
Summary:        Mesa is a 3-D graphics library with an API which is very similar to that of OpenGL
Source:         %{_name_archive}-%{version}.tar.bz2
Source2:        baselibs.conf
Source3:        README.updates
Source4:        manual-pages.tar.bz2
Source5:        drirc
Source10:       glu-9.0.0.tar.gz
# PATCH-FIX-OPENSUSE do not put dates in sources to fix build-compare
Patch1:         Mesa-nodate.diff
# to be upstreamed
Patch11:        u_Fix-crash-in-swrast-when-setting-a-texture-for-a-pix.patch
# Patch from Fedora, fix 16bpp in llvmpipe
Patch13:        u_mesa-8.0.1-fix-16bpp.patch
# Patch to remove OS ABI tag from libGL, so it is no longer preferred over libGLs without OS ABI tag
Patch14:        u_remove-os-abi-tag.patch
# Patch from Fedora, use shmget when available, under llvmpipe
Patch16:        u_mesa-8.0-llvmpipe-shmget.patch
Patch17:        u_mesa-9.0-i965-Make-sure-we-do-render-between-two-hiz-flushes.patch
# Security
Patch18:        u_0001_integer_overflow_in_XF86DRIOpenConnection_CVE-2013-1993.patch
Patch19:        u_0002_integer_overflow_in_XF86DRIGetClientDriverName_CVE-2013-1993.patch
Patch20:        U_i965-fix-problem-with-constant-out-of-bounds-access-v3.patch
Patch21:        U_i915-fix-BadAlloc-at-CreateContext-for-i830.patch
# Hacks to build with SLE11 stuff
Patch101:       n_mesa-xcb-check-revert.diff
Patch102:       n_mesa-glx-revert-swap-buffer2.diff
Patch103:       n_mesa-xcb-fix-generic-error.diff
# Hack to build GLU internally in this package
Patch200:       n_glu-internal-build.diff
Patch201:       U_Add-D-N-DEBUG-to-CFLAGS-dependent-on-enable-debug.patch
Patch300:       U_intel-0x041E.patch
# ValleyView support
Patch400:       U_i965-Enable-the-Bay-Trail-platform.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mesa is a 3-D graphics library with an API which is very similar to
that of OpenGL.* To the extent that Mesa utilizes the OpenGL command
syntax or state machine, it is being used with authorization from
Silicon Graphics, Inc.(SGI). However, the author does not possess an
OpenGL license from SGI, and makes no claim that Mesa is in any way a
compatible replacement for OpenGL or associated with SGI. Those who
want a licensed implementation of OpenGL should contact a licensed
vendor.

Please do not refer to the library as MesaGL (for legal reasons). It's
just Mesa or The Mesa 3-D graphics library.

* OpenGL is a trademark of Silicon Graphics Incorporated.



Authors:
--------
    Brian Paul

%package devel
License:        X11/MIT
Requires:       Mesa = %version xorg-x11-devel libdrm-devel
Summary:        Libraries, includes and more to develop Mesa applications
Group:          System/Libraries
# bug437293
%ifarch ppc64
Obsoletes:      XFree86-Mesa-devel-64bit < %{version} Mesa-devel-64bit < %{version}
Provides:       XFree86-Mesa-devel-64bit = %{version} Mesa-devel-64bit = %{version}
%endif
#
Provides:       xorg-x11-Mesa-devel = %{version} Mesa-devel-static = %{version}
Obsoletes:      xorg-x11-Mesa-devel < %{version} Mesa-devel-static < %{version}

%description devel
Mesa is a 3-D graphics library with an API which is very similar to
that of OpenGL.* To the extent that Mesa utilizes the OpenGL command
syntax or state machine, it is being used with authorization from
Silicon Graphics, Inc.(SGI). However, the author does not possess an
OpenGL license from SGI, and makes no claim that Mesa is in any way a
compatible replacement for OpenGL or associated with SGI. Those who
want a licensed implementation of OpenGL should contact a licensed
vendor.

Please do not refer to the library as MesaGL (for legal reasons). It's
just Mesa or The Mesa 3-D graphics library.

* OpenGL is a trademark of Silicon Graphics Incorporated.



Authors:
--------
    Brian Paul

%prep
%setup -n %{name}-%{_version} -b4 -a10 -q
%patch1 -p1
# remove some docs
rm -rf docs/README.{VMS,WIN32,OS2}
#%patch11 -p1
%patch16 -p1
%patch13 -p1
%patch14 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p2
%patch21 -p2
# mesa build fixes
%patch101 -p1
%patch102 -p1
%patch103 -p1
# glu build fixes
pushd glu-*
%patch200 -p1
%patch201 -p1
popd
%patch300 -p1
%patch400 -p1

%build

%install
rm -f src/mesa/depend
export TALLOC_LIBS=-ltalloc
export TALLOC_CFLAGS="-I/usr/include"
autoreconf -fi
### libGL (disable savage/mga, bnc #402132/#403071; reenable mga, bnc #466635)
%configure --disable-glw \
           --disable-egl \
           --enable-gles1 \
           --enable-gles2 \
           --enable-dri \
           --enable-texture-float \
	   --with-dri-searchpath=/usr/%{_lib}/dri/updates:/usr/%{_lib}/dri \
%ifarch %ix86 x86_64
           --enable-gallium-llvm \
           --with-dri-drivers=i915,i965,r200,radeon \
	   --with-gallium-drivers=r300,r600,swrast,svga \
%endif
%ifarch ia64 ppc ppc64 %sparc hppa
           --disable-gallium-llvm \
           --with-dri-drivers=r200,radeon,swrast \
           --with-gallium-drivers="" \
%endif
%ifarch s390 s390x %arm
           --disable-gallium-llvm \
           --with-dri-drivers=swrast \
	   --with-gallium-drivers="" \
%endif
%ifarch ppc64
           CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -mminimal-toc"
%else
           CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%endif
# generate glsl_parser.h beforehand, otherwise hits errors when built parallel
make -C src/glsl glsl_parser.h  
make %{?jobs:-j%jobs}
make install DESTDIR=$RPM_BUILD_ROOT

# build and install GLU
pushd glu-*
autoreconf -fi
%configure --disable-static
make %{?jobs:-j%jobs}
make install DESTDIR=$RPM_BUILD_ROOT
popd

find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

# Make a symlink to libGL.so.1.2 for compatibility (bnc#809359)
test -f $RPM_BUILD_ROOT%{_libdir}/libGL.so.1.2 || \
  ln -s `readlink $RPM_BUILD_ROOT%{_libdir}/libGL.so.1` $RPM_BUILD_ROOT%{_libdir}/libGL.so.1.2

# build and install Indirect Rendering only libGL
make clean-local
%configure --enable-xlib-glx \
           --enable-osmesa \
           --disable-glu \
           --disable-dri \
           --disable-glw \
           --disable-egl \
           --with-gallium-drivers="" \
           --with-gl-lib-name=IndirectGL \
%ifarch ppc64
           CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -mminimal-toc"
%else
           CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%endif
# sed -i 's/GL_LIB = .*/GL_LIB = IndirectGL/g' configs/autoconf

# generate glsl_parser.h beforehand, otherwise hits errors when built parallel
make -C src/glsl glsl_parser.h  
make %{?jobs:-j%jobs}
cp -a \
   src/mesa/drivers/x11/.libs/libIndirectGL.so* \
   src/mesa/drivers/osmesa/.libs/libOSMesa.so* \
   $RPM_BUILD_ROOT/usr/%{_lib}

for dir in ../xc/doc/man/{GL/gl,GL/glx}; do
pushd $dir
  xmkmf -a
  make %{?jobs:-j%jobs};
  make install.man DESTDIR=$RPM_BUILD_ROOT MANPATH=%{_mandir} LIBMANSUFFIX=3gl
popd
done
# DRI driver update mechanism
mkdir -p $RPM_BUILD_ROOT/usr/%{_lib}/dri/updates
install -m 644 $RPM_SOURCE_DIR/README.updates \
  $RPM_BUILD_ROOT/usr/%{_lib}/dri/updates
# global drirc file
mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 $RPM_SOURCE_DIR/drirc $RPM_BUILD_ROOT/etc
%fdupes -s $RPM_BUILD_ROOT/%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc docs/README* docs/COPYING
%config /etc/drirc
%{_libdir}/lib*.so.*
%{_libdir}/dri/

%files devel
%defattr(-,root,root)
%doc docs/*.html docs/*.spec
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man*/*

%changelog
* Wed Nov 26 2014 tiwai@suse.de
- U_i965-Enable-the-Bay-Trail-platform.patch:
  Enable BayTrail support (FATE#317933, bnc#930085)
* Thu Apr 17 2014 sndirsch@suse.com
- reenable build and packaging of OSMesa libs (bnc#874107)
* Wed Oct 23 2013 eich@suse.com
- U_i915-fix-BadAlloc-at-CreateContext-for-i830.patch
  Add missing initialization of return status in i830CreateContext()
  (bnc #847068).
* Wed Oct 16 2013 sndirsch@suse.com
- U_Add-D-N-DEBUG-to-CFLAGS-dependent-on-enable-debug.patch
  * removes GLU debug output, when GlU is being built normally,
    i.e. without --enable-debug (bnc#845820, fdo#61003)
* Thu Aug 15 2013 sndirsch@suse.com
- U_intel-0x041E.patch
  * added missing hunk in intel_context.c (bnc#834116)
* Wed Aug 14 2013 sndirsch@suse.com
- U_intel-0x041E.patch
  * adds support for Haswell ID 0x041E (bnc#834116)
* Thu Jul  4 2013 eich@suse.com
- U_i965-fix-problem-with-constant-out-of-bounds-access-v3.patch:
  Fix CVE-2013-1872 - i965: fix problem with constant out of bounds
  access (bnc #828007).
* Tue May 28 2013 sndirsch@suse.com
- u_0001_integer_overflow_in_XF86DRIOpenConnection_CVE-2013-1993.patch,
  u_0002_integer_overflow_in_XF86DRIGetClientDriverName_CVE-2013-1993.patch
  * fixes integer overflow in XF86DRIOpenConnection()/
    XF86DRIGetClientDriverName() [CVE-2013-1993] (bnc#821855,
    bnc#815451)
* Thu Apr 18 2013 msrb@suse.com
- u_mesa-9.0-i965-Make-sure-we-do-render-between-two-hiz-flushes.new.patch
  * Prevent hangs with rc6. (bnc#804910)
* Thu Mar 14 2013 tiwai@suse.de
- Create a symlink to libGL.so.1.2 for compatibility (bnc#809359)
* Mon Feb 25 2013 sndirsch@suse.com
- update to Mesa 9.0.3: a bugfix release
  * i965: Fix primitive restart on Haswell.
  * i965: Refactor texture swizzle generation into a helper.
  * i965: Do texture swizzling in hardware on Haswell.
  * i965: Lower textureGrad() with samplerCubeShadow.
  * i965: Use Haswell's sample_d_c for textureGrad with shadow samplers.
  * i965: Add chipset limits for Haswell GT1/GT2.
  * i965/fs: Fix the gen6-specific if handling for 80ecb8f15b9ad7d6edc
  * cherry-ignore: Ignore i965 guardband bug fixes.
  * i965/fs: Don't generate saturates over existing variable values.
  * i965: Add missing _NEW_BUFFERS dirty bit in Gen7 SBE state.
  * i965/vs: Create a 'lod_type' temporary for ir->lod_info.lod->type.
  * i965/vs: Set LOD to 0 for ordinary texture() calls.
  * i965/vs: Store texturing results into a vec4 temporary.
  * i965/disasm: Fix horizontal stride of dest registers
  * cherry-ignore: Ignore candidates for the 9.1 branch.
  * r600g: add cs memory usage accounting and limit it v3 (backport for mesa 9.0)
  * i965: Actually add support for GL_ANY_SAMPLES_PASSED from GL_ARB_oq2.
  * configure.ac: Allow OpenGL ES1 and ES2 only with enabled OpenGL
  * mesa/st: Don't use 4bits for GL_UNSIGNED_BYTE_3_3_2(_REV)
  * mesa: Return 0 for XFB_VARYING_MAX_LENGTH if no varyings
  * mesa: Set transform feedback's default buffer mode to INTERLEAVED_ATTRIBS
  * mesa: Fix GL_LUMINANCE handling for textures in glGetTexImage
  * st/glx: accept GLX_SAMPLE_BUFFERS/SAMPLES_ARB == 0
  * mesa: Disable GL_NV_primitive_restart extension in core contexts.
  * draw: Properly limit vertex buffer fetches on draw arrays.
  * draw: set precalc_flat flag for AA lines too
  * meta: Disable GL_FRAGMENT_SHADER_ATI in MESA_META_SHADER
  * radeon: Initialize swrast before setting limits
  * r200: Initialize swrast before setting limits
  * mesa/uniform_query: Don't write to *params if there is an error
  * softpipe: fix up FS variant unbinding / deletion
  * softpipe: fix unreliable FS variant binding bug
  * mesa: Allow glReadBuffer(GL_NONE) for winsys framebuffers.
  * mesa: add bounds checking for uniform array access
  * xlib: handle _mesa_initialize_visual()'s return value
  * r600g: fix int->bool conversion in fence_signalled
  * xlib: allow GLX_DONT_CARE for glXChooseFBConfig() attribute values
  * st/glx: allow GLX_DONT_CARE for glXChooseFBConfig() attribute values
  * util: fix addressing bug in pipe_put_tile_z() for PIPE_FORMAT_Z32_FLOAT
  * util: add get/put_tile_z() support for PIPE_FORMAT_Z32_FLOAT_S8X24_UINT
  * unpack: support unpacking MESA_FORMAT_ARGB2101010
  * r200: Fix probable thinko in r200EmitArrays
  * glsl: Track UBO block names in the symbol table.
  * build: require python module libxml2
  * build: Fix build on systems where /usr/bin/python isn't python 2.
  * glx: only advertise GLX_INTEL_swap_event if it's supported
  * mesa: use GLbitfield64 when copying program inputs
  * svga: add NULL pointer check in svga_create_sampler_state()
  * vbo: add a null pointer check to handle OOM instead of crashing
  * osmesa: use _mesa_generate_mipmap() for mipmap generation, not meta
  * xlib: use _mesa_generate_mipmap() for mipmap generation, not meta
  * st/mesa: set ctx->Const.MaxSamples = 0, not 1
  * configure.ac: GLX cannot work without OpenGL
  * mesa: fix-up and use _mesa_delete_renderbuffer()
  * mesa: pass context parameter to gl_renderbuffer::Delete()
  * st/mesa: fix context use-after-free problem in st_renderbuffer_delete()
  * dri_glx: fix use after free report
  * mesa: remove warning message in _mesa_reference_renderbuffer_()
  * st/mesa: add null pointer check in st_renderbuffer_delete()
  * util: add some defensive coding in u_upload_alloc()
  * st/mesa: do proper error checking for u_upload_alloc() calls
  * util: add new error checking code in vbuf helper
  * gallium/u_upload_mgr: fix a serious memory leak
  * mesa: don't enable GL_EXT_framebuffer_multisample for software drivers
  * st/mesa: only enable GL_EXT_framebuffer_multisample if GL_MAX_SAMPLES >= 2
  * mesa: don't expose IBM_rasterpos_clip in a core context
  * svga: fix sRGB rendering
  * r300g: fix blending with blend color and RGBA formats
  * softpipe: fix using optimized filter function
  * cherry-ignore: Ignore candidates for the 9.1 branch.
  * i965: Refactor Gen6+ SF attribute override code.
  * i965: Compute the maximum SF source attribute.
  * i965: Fix the SF Vertex URB Read Length calculation for Sandybridge.
  * i965: Fix the SF Vertex URB Read Length calculation for Gen7 platforms.
  * nouveau: Fix build.
  * i965/vs: Try again when we've successfully spilled a reg.
  * i965/gen7: Set up all samplers even if samplers are sparsely used.
  * DRI2: Don't disable GLX_INTEL_swap_event unconditionally
  * mesa: Bump version to 9.0.3
  * docs: Add 9.0.3 release notes
- this update obsoletes previous Backport patches from git mesa
  9.0 branch
* Wed Feb  6 2013 tiwai@suse.de
- Backport from git mesa 9.0 branch (for upcoming 9.0.3)
  * i965: Fix primitive restart on Haswell.
  * i965: Refactor texture swizzle generation into a helper.
  * i965: Do texture swizzling in hardware on Haswell.
  * i965: Lower textureGrad() with samplerCubeShadow.
  * i965: Use Haswell's sample_d_c for textureGrad with shadow
    samplers.
  * i965: Add chipset limits for Haswell GT1/GT2.
  * i965/fs: Fix the gen6-specific if handling for 80ecb8f15b9ad7d6edc
  * i965/fs: Don't generate saturates over existing variable values.
  * i965: Add missing _NEW_BUFFERS dirty bit in Gen7 SBE state.
  * i965/vs: Create a 'lod_type' temporary for ir->lod_info.lod->type.
  * i965/vs: Set LOD to 0 for ordinary texture() calls.
  * i965/vs: Store texturing results into a vec4 temporary.
  * i965/disasm: Fix horizontal stride of dest registers
  * r600g: add cs memory usage accounting and limit it v3 (backport
    for mesa 9.0)
  * i965: Actually add support for GL_ANY_SAMPLES_PASSED from
    GL_ARB_oq2.
* Thu Jan 24 2013 sndirsch@suse.com
- update to Mesa 9.0.2: a bugfix release
  * [KMS] mesa demo spectex broken on rv280 (fdo#22576)
  * KMS/R200: Bad shading in NWN since Mesa rewrite (fdo#26809)
  * [bisected regression] Oglc fbo(negative.invalidParams3)
  Segmentation fault (fdo#45877)
  * st_glsl_to_tgsi.cpp:4006:dst_register: Assertion
  `index < VERT_RESULT_MAX' failed (fdo#54402)
  * Memoryleak with glPopAttrib only on Intel GM45 (fdo#55175)
  * glcpp accepts junk after #else/#elif/#endif tokens (fdo#56442)
  * EGL sets error to EGL_SUCCESS when DRI driver fails to create
  context (fdo#56706)
  * Webgl conformance shader-with-non-reserved-words crash. (fdo#57622)
  * r200: Culling is broken when rendering to an FBO (fdo#57842)
  * r300g: blend sfactor=GL_DST_COLOR fails with FBOs (fdo#57984)
  * [llvmpipe] src/gallium/auxiliary/gallivm/lp_bld_tgsi_info.c:75:analyse_src: Assertion `src->Index < (sizeof(ctx->imm)/sizeof((ctx->imm)[0]))' failed. (fdo#58545)
  * src/glsl/tests/Makefile.am missing $(top_srcdir)/include (fdo#59383)
* Fri Nov 23 2012 tiwai@suse.de
- update to Mesa 9.0.1: a bug fix release
  * WebGL conformance/textures/texture-mips tests fails (fdo#44912)
  * kwin with gles window content is not updating (gen4) (fdo#55856)
  * INTEL_swap_event not correctly listed (fdo#56057)
  * copy_image_data_to_texture: Assertion (fdo#56211)
* Wed Nov 14 2012 sndirsch@suse.com
- fixed build on ia64/ppc(64)
* Tue Nov 13 2012 tiwai@suse.de
- Fix parallel builds in a better way
* Thu Oct 18 2012 tiwai@suse.de
- Update to Mesa 9.0 release for supporting Haswell graphics
  (FATE#313712)
  * partly copy from 12.2/FACTORY, but without package split
  * enabled texture-flat
  * disabled xa
  * n_mesa-xcb-check-revert.diff: Remove xcb-glx version check
  * n_mesa-glx-revert-swap-buffer2.diff: Revert
    xDRI2BufferSwapComplete2 replacement, revert dri2proto and
    glproto version checks
  * n_mesa-xcb-fix-generic-error.diff: Don't use the new fields in
    xcb_generic_error_t
- Build GLU 9.0.0 internally without package split
- Temporarily disable the parallel build in the second make&install
  due to occasional build errors
* Wed Aug  8 2012 tiwai@suse.de
- Fix GPU rendering error and hang on IVB GT1 desktop (bnc#770306)
* Tue Aug  7 2012 tiwai@suse.de
- Backport IvyBridge GT2 server variant support (bnc#759971)
* Mon Dec  5 2011 sndirsch@suse.com
- Update to Mesa 7.11.2 release
  * bugfix-only release
  * intel: Fix separate stencil in builtin DRI2 backend
  * intel: Fix region dimensions for stencil buffers received from DDX
  * intel: Simplify stencil detiling arithmetic
  * mesa: use format string in _mesa_error() call to silence warning
  * mesa: fix format selection for meta CopyTexSubImage() (fdo #39604)
  * mesa: stop using ctx->Driver.CopyTexImage1D/2D() hooks
* Tue Nov 22 2011 sndirsch@suse.com
- Update to Mesa 7.11.1 release
  * bugfix-only release, which also includes fixes for Ivybridge,
    Sandybridge and Ironlake since release 7.11
* Tue Sep 27 2011 sndirsch@suse.com
- Update to final release of Mesa 7.11
  * New features include
  - Enable 16-wide fragment shader execution in i965 driver. This should
    improve performance in many applications.
  - Initial alpha-level support for Intel "Ivybridge" chipsets in the i965
    driver.
  * bug fixes
* Tue Aug  9 2011 ro@suse.de
- fix build on ppc64 by using "-mminimal-toc"
* Tue Aug  9 2011 ro@suse.de
- buildrequire llvm only on x86 and x86_64
  (llvm does not build everywhere else)
* Fri Jul 29 2011 mhopf@novell.com
- Update to Mesa 7.11-rc3
- U_Mesa-7.11-llvm3.patch: fix compatibility with llvm 3.0 (and pre-releases)
- gallium is now required for r300, r600
- nouveau is now built by default
* Fri Jun 24 2011 eich@suse.de
- Fix the driver directory search path in the spec file.
  This makes dri_driver_dir.diff obsolete.
* Sat Jun 18 2011 eich@suse.de
- Add GLES2 support.
* Fri Jun 17 2011 sndirsch@novell.com
- u_Fix-crash-in-swrast-when-setting-a-texture-for-a-pix.patch:
  * Fix crash in swrast when setting a texture for a pixmap
    (bnc #641297)
  * Updated, closing a giant memory leak (eich@novell.com).
* Thu Jun 16 2011 mhopf@novell.com
- Don't unpack MesaDemos during build; it's not needed any more.
* Fri Jun 10 2011 eich@suse.de
-  u_GLX-SWrast-Make-GLX-with-SWrast-enabled-work-on-olde.patch
  This patch falls back to indirect rendering if SWrast doesn't work
  with older Xservers as no common configs/visuals can be found.
  This supercedes Mesa_indirect_old_xserver_compatibility.diff.
* Sun Feb  6 2011 ro@suse.de
- disable gallium-nouveau compilation to fix build
  (this was not even triggered until the update of libdrm
  to 2.4.21 which added the nouveau driver there)
* Sun Feb  6 2011 ro@suse.de
- rediff patches to reduce fuzz level
* Sat Jan  8 2011 sndirsch@novell.com
- update to 7.10 final
* Wed Dec 29 2010 mhopf@novell.com
- Update pre-7.10 state (git 96685a6)
  Fixes two screensaver GPU crashes on SandyBridge (xorg #32683)
* Mon Dec 20 2010 sndirsch@novell.com
- disabled gallium for radeon/r600 driver to avoid immediate
  Xserver crash
- disable-radeon_query_image.diff
  * buildfix for non-gallium radeon driver
* Thu Dec 16 2010 mhopf@novell.com
- Update full mesa stack to pre-7.10 (git 32218e4).
  Fixes most of intel SandyBridge rendering issues.
- Set Mesa version to 7.9.801
* Wed Oct 27 2010 mhopf@novell.com
- Update intel driver to git 547e761.
- Set Mesa version to 7.9.0.1
* Fri Oct  8 2010 sndirsch@novell.com
- updated to Mesa 7.9 for Sandybridge support
- obsolete patches
  * commit-8accf0a.diff
  * disable_gem_warning.diff
  * link-shared.diff
  * spantmp2_h_ppc_build_fix.diff
- adjusted patches
  * Mesa_indirect_old_xserver_compatibility.diff
  * dri_driver_dir.diff
- commit-d316391.diff
  * i965: Fix gen6 pointsize handling to match pre-gen6. Fixes
    point-line-no-cull (bfo #30532)
- egl-buildfix.diff
  * fixes EGL build
* Mon May 31 2010 sndirsch@suse.de
- commit-8accf0a.diff
  * fixes the assert for buffer overrun (bnc #608810, bfo #28274)
* Fri Jan 22 2010 ro@suse.de
- fix build for ppc
* Tue Dec 22 2009 sndirsch@suse.de
- Mesa 7.7 final release
* Fri Dec 18 2009 sndirsch@suse.de
- Mesa 7.7 RC3
  * more bug fixes
* Tue Dec  8 2009 sndirsch@suse.de
- Mesa 7.7 RC2
  * more bug fixes
* Wed Dec  2 2009 sndirsch@suse.de
- Mesa 7.7 RC1
  * New features
  - VMware "SVGA" Gallium driver. This is a Gallium3D driver
    which targets the VMware virtual graphics device. It allows
    Linux OpenGL guest applications to utilize the 3D graphics
    hardware of the host operating system.
  - GL_ARB_draw_elements_base_vertex (supported in Intel i965
    and software drivers)
  - GL_ARB_depth_clamp (supported in Intel i965 DRI and software
    drivers)
  - GL_NV_depth_clamp (supported in Intel i965 DRI and software
    drivers)
  - GL_ARB_provoking_vertex (same as GL_EXT_provoking_vertex)
  - Wavefront .obj file loader/viewer demo (progs/demos/
    objviewer)
  * Bug fixes
  - Many assorted i965 driver fixes.
  - Many r300-gallium driver fixes; this driver is now
    considered unstable-quality instead of experimental-quality.
  * Changes
  - New Mesa texture/surface format infrastructure
  - Removed some unused Mesa device driver hooks
* Wed Nov 18 2009 sndirsch@suse.de
- This Mesa package update is part of the X stack update for
  SLE11-SP1 (FATE #307236)
* Wed Oct  7 2009 mhopf@novell.com
- Add -DNDEBUG to CFLAGS.
  It's unfortunate, but a few newly added assert()s for testing memory leaks
  trigger in this release. But having memory leaks is less problematic than
  crashing compiz.
* Tue Sep 29 2009 sndirsch@suse.de
- Mesa 7.6
  * OpenVG front-end (state tracker for Gallium). This was written
    by Zack Rusin at Tungsten Graphics.
  * GL_ARB_vertex_array_object and GL_APPLE_vertex_array_object
    extensions (supported in Gallium drivers, Intel DRI drivers,
    and software drivers)
  * GL_ARB_copy_buffer extension (supported in Gallium drivers,
    Intel DRI drivers, and software drivers)
  * GL_ARB_map_buffer_range extension (supported in Gallium drivers,
    Intel DRI drivers, and software drivers)
  * GL_ARB_seamless_cube_map extension (supported in software drivers
    and i965 drivers)
  * GL_ARB_vertex_array_bgra (ARB synonym for GL_EXT_vertex_array_bgra)
  * GL_ARB_sync (supported in software drivers and Intel DRI drivers)
  * GL_EXT_provoking_vertex extension (supported in Gallium, i915, i965,
    and software drivers)
  * Rewritten radeon/r200/r300 driver using a buffer manager
  * radeon/r200/r300 GL_EXT_framebuffer_object support when used with
    kernel memory manager
  * radeon/r200/r300 support for GL_ARB_occlusion_query
  * r300 driver supports OpenGL 1.5
  * r300 driver support for GL_EXT_vertex_array_bgra, GL_EXT_texture_sRGB
  * i915/945 driver support for GL_ARB_point_sprite, GL_EXT_stencil_two_side
    and GL_ATI_separate_stencil extensions
  * Rewritten assembler for GL_ARB_vertex_program / GL_ARB_fragment_program.
  * Added configure --with-max-width=W, --with-max-height=H options to
    specify max framebuffer, viewport size.
  * Initial version of Gallium llvmpipe driver. This is a new driver based
    on LLVM which makes exensive use of run-time code generation. This is
    an "alpha" stage driver. See the src/gallium/drivers/llvmpipe/README
    file for more information.
  * i965 DRI driver fixes, including support for "unlimited" size constant
    buffers (GLSL uniforms)
* Mon Sep 28 2009 sndirsch@suse.de
- Mesa 7.5.1
  * bug-fix release fixing issues found since the 7.5.1 release.
  - Detect B43 chipset in Intel driver
  - Assorted bug fixes for i965/i945 drivers
  - Fixed Gallium glDrawPixels(GL_STENCIL_INDEX) failure.
  - Fixed GLSL linker/preprocessor version directive issue seen
    in Wine (such as bug 23946)
  - glUseProgram() is now compiled into display lists (bug 23746).
  - glUniform functions are now compiled into display lists
  - Auto mipmap generation didn't work reliably with Gallium.
  - Fixed random number usage in GLX code.
  - Fixed invalid GL_OUT_OF_MEMORY error sometimes raised by
    glTexSubImage2D when using Gallium.
* Fri Sep 11 2009 sndirsch@suse.de
- no longer package glew headers in Mesa-devel, which caused file
  conflicts with glew-devel (bnc #538344)
* Thu Sep  3 2009 sndirsch@suse.de
- Mesa 7.5.1
  * bug-fix release fixing issues found since the 7.5 release.
* Sun Aug  2 2009 jansimon.moeller@opensuse.org
- add ARM variant to configure
* Fri Jul 31 2009 sndirsch@suse.de
- Mesa-devel should require libdrm-devel (bnc #527097)
* Sat Jul 18 2009 sndirsch@suse.de
- Mesa 7.5
  * new features like e.g. Gallium3D
  * various bug fixes
  * removed some GL_SGIX_* extensions, which have been superseded
    by ARB versions
- obsoletes mesa-commit-88b702e.diff, mesa-commit-954dfba.diff,
  intel_release_static_region.patch
* Wed Jun 24 2009 sndirsch@suse.de
- Mesa 7.4.4
  * Fixed i965/i915 segfault in screen destruction (bfo #22408)
- adjusted intel_release_static_region.patch
- obsoletes Mesa-intel_unref_fb.patch
* Tue Jun 23 2009 sndirsch@suse.de
- Mesa-intel_unref_fb.patch
  * intel: call _mesa_unreference_framebuffer() in
    intelDestroyBuffer(). This was a call to
    _mesa_reference_framebuffer(ptr, NULL) but the NULL pointer is
    incorrect in Mesa 7.4.x. Fixes a failed assertion during screen
    tear-down.
* Sat Jun 20 2009 sndirsch@suse.de
- Mesa 7.4.3
  * Fixed texture object reference counting bug (bug 21756)
  * Allow depth/stencil textures to be attached to GL_STENCIL_ATTACHMENT point
    (SF bug 2793846)
  * Added missing glGet case for GL_VERTEX_ARRAY_BINDING_APPLE
  * Fixed some OSMesa build issues
  * Fixed a vertex buffer object crash
  * Fixed broken glTexImage3D() when image type = GL_BITMAP
  * Fixed some GLSL preprocessor bugs
  * Fixed framebuffer mem leak in i945/i965 DRI drivers
  * Fixed texture coordinate repeat bug in swrast (bug 21872)
  * Fixed incorrect viewport clamping (lower bound is zero, not one)
  * GLX fix for glean's makeCurrent test case
- obsoletes reverted applied mesa_7_4_branch-commit-63cde0e.diff
* Tue May 19 2009 sndirsch@suse.de
- mesa_7_4_branch-commit-63cde0e.diff
  * commit, which introduced a regression; revert it (bnc #504578)
* Fri May 15 2009 sndirsch@suse.de
- Mesa 7.4.2
  * Fixed segfault when rendering to front buffer with DRI 1.
  * Fixed swrast texture rectangle bug when wrap mode =
    GL_CLAMP_TO_BORDER and filter mode = GL_LINEAR. (bug 21461)
  * Fixed texture object mem leak during context destruction.
  * Fixed a state validation bug in glCopyTex[Sub]Image()
  * Fixed some i965 GLSL bugs.
  * Fixed an R300 driver texture object bad memory reference.
* Wed Apr 22 2009 sndirsch@suse.de
- no longer package static libGL/libGLU; can't work any longer
  due to static X libraries having been removed
* Sat Apr 18 2009 sndirsch@suse.de
- Mesa 7.4.1
  * Fixed a two-sided lighting bug in fixed-function-to-GPU code
    generation
  * Fixed some Darwin issues (Jeremy Huddleston)
  * Indexing the GLSL gl_EyePlane[] or gl_ObjectPlane[] arrays
    with a variable was broken, bug 20986
  * Fixed incorrect texture unit bias in TXB instruction
  * glTexParameter settings weren't always propogated to drivers
  * Assorted vertex/fragment program bug fixes
  * Fixed point rendering in software rasterizer
  * Fixed potential deadlock in object hash functions
  * Fix a couple bugs surrounding front-buffer rendering with
    DRI2, but this is not quite complete.
  * Fixed glPopAttrib() bug when restoring user clip planes
* Sat Mar 28 2009 sndirsch@suse.de
- Mesa 7.4 (final)
  * This is a stable release that just fixes bugs since the 7.3
    release.
* Thu Mar 26 2009 sndirsch@suse.de
- Mesa 7.4-rc2
  * more patches cherry-picked from the master branch
* Sat Mar 21 2009 sndirsch@suse.de
- Mesa 7.4-rc1
* Sat Mar  7 2009 sndirsch@suse.de
- mesa-commit-954dfba.diff
  * i965: bump texture limit to 4kx4k (bfo #18100)
  * obsoletes i965-GL_MAX_TEXTURE_SIZE-4096.diff
- mesa-commit-88b702e.diff
  * i965: Eric Anholt's patch for bumping up texture sizes
    (bfo #18100)
* Fri Feb 27 2009 mhopf@suse.de
- Mesa_indirect_old_xserver_compatibility.diff
  Workaround for enabling indirect rendering to older Xservers
  (bnc #469280).
* Wed Feb 25 2009 sndirsch@suse.de
- update to Mesa 7.3
- obsoletes MesaLib-7.2_intel-2008-q3_793c3b9-46921a5.diff,
  commit-7d99ddc.diff, commit-b4bf9ac.diff,
  i965_aperture_call_for_Q3.patch, mesa-7.1-fix-i8xx-vbos.patch
* Tue Feb 10 2009 sndirsch@suse.de
- commit-7d99ddc.diff
  * intel: Fix a number of memory leaks on context destroy.
    (bnc #457879,bfo #19665)
- intel_release_static_region.patch
  * detach static region from intel_renderbuffer on contex destroy
    (bnc #457879,bfo #19665)
* Fri Jan 23 2009 sndirsch@suse.de
- added intel-i810-Mesa, Mesa7 to Provides/Obsoletes, i.e. get rid
  of SLE10 packages (bnc #468796)
* Wed Jan 14 2009 sndirsch@suse.de
- i965_aperture_call_for_Q3.patch (Quanxian Wang)
  * addresses bfo #19242; based on Q3 release; the patch is
    coming from commit id 59b2c2adbbece27ccf54e58b598ea29cb3a5aa85,
    2fc9d671e0be77676818da51cd3b35b52af79421,
    c30eb2c104c19c758c0b2a2461ad7f38cfa747d0
* Tue Jan 13 2009 olh@suse.de
- obsolete old XFree86-Mesa{,-devel}-XXbit packages (bnc#437293)
* Fri Jan  9 2009 sndirsch@suse.de
- /etc/drirc
  * disable vblank_mode/force_s3tc_enable and enable
    disable_lowimpact_fallback for r300 driver to fix performance
    issues with GoogleEarth and OpenOffice.Org (bnc #438666)
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Fri Nov 28 2008 sndirsch@suse.de
- mesa-7.1-fix-i8xx-vbos.patch
  * For some reason the Intel 865 seem to claim VBO support in the
    docs, but doesn't seem to practice it in the hardware, or
    there is some missing errata. This restores the old pre-vbo
    code and uses it on all 8xx hw. (bfo #17963)
    This patch fixes OpenGL support on 845/855GM/865.
* Sat Nov 22 2008 sndirsch@suse.de
- disabled VBlank also for i965 DRI driver (bfo #17967)
* Mon Nov 17 2008 sndirsch@suse.de
- added global /etc/drirc to disable VBlank for i915 DRI driver
  (bnc #432980)
* Thu Nov 13 2008 sndirsch@suse.de
- disabled i965-GL_MAX_TEXTURE_SIZE-4096.diff; apparently it
  doesn't work for compiz/Desktop effects and is not required at
  all for 3D support in general (bnc #441572)
* Fri Oct 31 2008 sndirsch@suse.de
- commit-b4bf9ac.diff
  * i915: fix crash in i830_emit_state (bfo #17766)
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Tue Oct 21 2008 sndirsch@suse.de
- MesaLib-7.2_intel-2008-q3_793c3b9-46921a5.diff
  * i965: Fix a potential assertion failure.
  * intel: GLSL 1.20 is broken in Mesa, so disable it in the i965
    driver
* Thu Oct  9 2008 sndirsch@suse.de
- Mesa 7.2_intel-2008-q3_793c3b9
  * Intel-2008-Q3-RC3 release (Mesa 7.2 + GEM code)
* Sat Sep 27 2008 sndirsch@suse.de
- Mesa 7.2_intel-2008-q3_e636f5b
  * Intel-2008-Q3-RC2 release (Mesa 7.2 + GEM code)
- replaced disable_ttm_warning.diff with disable_gem_warning.diff
- adjusted i965-GL_MAX_TEXTURE_SIZE-4096.diff
* Sat Sep 20 2008 sndirsch@suse.de
- Mesa 7.2:
  Mesa 7.2 is a stable release fixing bugs found in 7.1, which was
  a new development release. Mesa 7.2 implements the OpenGL 2.1
  API, but the version reported by glGetString(GL_VERSION) depends
  on the particular driver being used. Some drivers don't support
  all the features required in OpenGL 2.1. Note that this version
  of Mesa does not use the GEM memory manager. The master branch
  of git uses GEM. The prototype DRI2 code that was in 7.1 has
  also been removed. DRM version 2.3.1 should be used with Mesa 7.2
* Fri Aug 29 2008 sndirsch@suse.de
- added libexpat-devel to Buildrequires to fix build
* Thu Aug 28 2008 sndirsch@suse.de
- revert of commit-1724334.diff obsolete after adding the patches
  commit-5930aeb.diff/commit-78f50cd.diff (commits 5930aeb/78f50cd)
  to xorg-x11-server package (bfo #17069)
* Wed Aug 27 2008 sndirsch@suse.de
- updated to Mesa 7.1 final release
* Mon Aug 18 2008 sndirsch@suse.de
- reverted commit 1724334 to get RGB, Double-buffered visuals back;
  otherwise even GL applications like glxgears no longer start
  (bfo #17069)
* Sun Aug 17 2008 sndirsch@suse.de
- udpated to Mesa 7.1 RC4
  "This includes the latest GLSL fixes/features plus other assorted
  fixes from the past 2-3 weeks."
- obsoletes MesaLib-6befdca.diff
- adjusted disable_ttm_warning.diff (TTM --> GEM)
- adjusted i965-GL_MAX_TEXTURE_SIZE-4096.diff
* Mon Aug 11 2008 sndirsch@suse.de
- udpated to Mesa 7.1 RC3
  * bugfixes
* Mon Aug  4 2008 sndirsch@suse.de
- i965-GL_MAX_TEXTURE_SIZE-4096.diff
  * sets GL_MAX_TEXTURE_SIZE to 4096 for Intel 965 series
* Fri Aug  1 2008 sndirsch@suse.de
- commit-c71fa34.diff
  * added null texObj ptr check (bfo #15567, bnc #402687)
* Thu Jul 10 2008 sndirsch@suse.de
- even s390(x) needs swrast DRI driver now
- specfile cleanup
* Wed Jul  9 2008 sndirsch@suse.de
- no dri.pc for s390/s390x
* Tue Jul  8 2008 sndirsch@suse.de
- disable_ttm_warning.diff
  * disables confusing warning, that TTM cannot be initialized
* Fri Jul  4 2008 sndirsch@suse.de
- udpated to Mesa 7.1-pre
* Mon Apr 14 2008 sndirsch@suse.de
- unichrome-context.diff
  * Do not clear the current context before attempting to use it.
    (bnc #285496)
- no longer need to use LIBGL_ALWAYS_INDIRECT=1 on via hardware
  (bnc #285496)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Sat Apr  5 2008 sndirsch@suse.de
- update to Mesa bugfix release 7.0.3 (final)
* Wed Apr  2 2008 sndirsch@suse.de
- update to Mesa bugfix release 7.0.3 RC3
  * obsoletes commit-185320a.diff
* Thu Mar 13 2008 sndirsch@suse.de
- commit-185320a.diff
  Only call ProgramStringNotify if program parsing succeeded.
  Wine intentionally tries some out-of-spec programs to test
  strictness, and calling ProgramStringNotify on the results
  of a failed program parse resulted in crashes in the 965
  driver. (bfo #13492)
* Fri Feb 22 2008 sndirsch@suse.de
- update to Mesa bugfix release 7.0.3 RC2
  * Fixed GLX indirect vertex array rendering bug (14197)
  * Fixed crash when deleting framebuffer objects (bugs 13507,
    14293)
  * User-defined clip planes enabled for R300 (bug 9871)
  * Fixed glBindTexture() crash upon bad target (bug 14514)
  * Fixed potential crash in glDrawPixels(GL_DEPTH_COMPONENT) (bug
    13915)
  * Bad strings given to glProgramStringARB() didn't generate
    GL_INVALID_OPERATION
  * Fixed minor point rasterization regression (bug 11016)
* Wed Jan 23 2008 sndirsch@suse.de
- update to Mesa bugfix release 7.0.3 RC1
  * Added missing glw.pc.in file to release tarball
  * Fix GLUT/Fortran issues
  * GLSL gl_FrontLightModelProduct.sceneColor variable wasn't
    defined
  * Fix crash upon GLSL variable array indexes (not yet supported)
  * Two-sided stencil test didn't work in software rendering
  * Fix two-sided lighting bugs/crashes (bug 13368)
  * GLSL gl_FrontFacing didn't work properly
  * glGetActiveUniform returned incorrect sizes (bug 13751)
  * Fix several bugs relating to uniforms and attributes in GLSL
    API (Bruce Merry, bug 13753)
  * glTexImage3D(GL_PROXY_TEXTURE_3D) mis-set teximage depth field
* Sat Nov 10 2007 sndirsch@suse.de
- updated to Mesa 7.0.2
  * New features:
  - Updated Windows VC7 project files
  - Added DESTDIR variable for 'make install'
  - Added pkg-config files for gl, glu, glut and glw libraries
  - Added bluegene-xlc-osmesa and catamount-osmesa-pgi configs
  - Support for Intel G33/Q33/Q35 graphics chipsets
  * Bug fixes:
  - Fixed a vertex buffer wrapping issue (bug 9962)
  - Added mutex protection around texture object reference
    counters
  - Added checking/support for additional chips in the i915/i945
    family (see 11978)
  - Fixed a blending/banding issue (bug 11931)
  - Fixed a GLU matrix inversion bug (#6748)
  - Fixed problem with large glDrawArrays calls and indirect
    rendering (bug 12141)
  - Fixed an assortment of i965 driver bugs
  - Fixed x86-64 vertex transformation bug (12216)
  - Fixed X server crash caused by multiple indirect rendering
    clients
  - Parsing of state.texgen in ARB vertex/fragment programs
    didn't work (bug 12313)
  - Fixed a glCopyPixels/glPixelZoom bug (12417)
  - Fixed a bug when using glMaterial in display lists (10604)
  - Fixed a few GLUT/Fortran issues (Bill Mitchell)
  - Fixed Blender crash bug (12164)
  - Fixed some issues preventing cross-compiling
  - Fixed up broken GL_ATI_separate_stencil extension
  - glDrawArrays(count=0) led to a crash
  - Fix SSE code gen memory leak, possible crash
  - Fixed MMX 565 rgb conversion problem (bug 12614)
  - Added -fno-strict-aliasing and -fPIC flags for gcc
  - Fixed Blender crash in Unichrome driver (bug 13142)
* Wed Nov  7 2007 sndirsch@suse.de
- updated to Mesa 7.0.2 RC2
  * added -fPIC and -fno-strict-aliasing flags for gcc
  * applied a few patches (mmx code, edgeflag ptr check)
  * r200 texture from pixmap fixes
- obsoletes pic.diff
* Sun Nov  4 2007 sndirsch@suse.de
- pic.diff
  * fixes shared lib on i386 (X.Org Bug #1809)
* Wed Oct 31 2007 sndirsch@suse.de
- updated to Mesa 7.0.2 RC1
- obsoletes disable-libGL-warning.diff, i915-g33.diff and
  i915tex-g33.diff
- adjusted link-shared.diff and static.diff
* Mon Aug 13 2007 sndirsch@suse.de
- disable-libGL-warning.diff:
  * Just filters warnings about unsupported non-conformant visuals
    instead of relying on the visual id. (X.Org Bug #6689)
* Sun Aug 12 2007 sndirsch@suse.de
- disable-libGL-warning.diff:
  * ignore unsupported visual 0x4b (Bug #247471, X.Org Bug #6689)
* Sat Aug  4 2007 sndirsch@suse.de
- updated to bugfix relelase 7.0.1
* Wed Jul  4 2007 sndirsch@suse.de
- i915-g33.diff/i915tex-g33.diff
  * support for G33/Q33/Q35
* Sat Jun 23 2007 sndirsch@suse.de
- updated to final release 7.0
* Thu Jun 21 2007 sndirsch@suse.de
- updated Mesa to release 7.0 RC1
  * Mesa 7.0 is a stable, follow-on release to Mesa 6.5.3. The only
    difference is bug fixes. The major version number bump is due
    to OpenGL 2.1 API support.
* Mon May 28 2007 sndirsch@suse.de
- move GL headers, which conflict with GL headers of NVIDIA driver,
  from Mesa-devel back to Mesa; this still make rpmlint happy
* Sat May 26 2007 dmueller@suse.de
- add missing ldconfig call to %%post
- move include files to -devel package
* Fri May 25 2007 dmueller@suse.de
- fix undefined symbols for i915 (#277744)
* Tue May 22 2007 dmueller@suse.de
- fix various undefined symbols in dri drivers (#272875)
- build parallel
* Mon May 14 2007 sndirsch@suse.de
- link-shared.diff:
  * use shared lib for DRI drivers to save a lot of space (Bug
    [#272875])
* Mon Apr 30 2007 sndirsch@suse.de
- updated to Mesa 6.5.3
- obsoletes the following patches:
  * bug-211314_mesa-destroy_buffers.diff
  * bug-211314_mesa-framebuffer-counting.diff
  * bug-211314-patch-1.diff
  * bug-211314-patch-2.diff
  * bug-211314-patch-3.diff
  * bug-211314-patch-4.diff
  * bug-211314-patch-5.diff
  * bug-211314-patch-6.diff
  * bug-211314-patch-7.diff
  * bug-211314-patch-8.diff
  * bug-211314-patch-9.diff
  * bug-211314-patch-10.diff
  * bug-211314-patch-11.diff
  * bug-211314_mesa-refcount-memleak-fixes.diff
  * Mesa-6.5.2-fix_radeon_cliprect.diff
* Fri Apr 27 2007 sndirsch@suse.de
- back to Mesa 6.5.2 (Bug #269155/269042)
* Wed Apr 25 2007 sndirsch@suse.de
- 4th RC ready
  * This fixes some breakage in RC3.
* Tue Apr 24 2007 sndirsch@suse.de
- 3rd release candidate
  * updated Windows/VC8 project files.
* Sun Apr 22 2007 sndirsch@suse.de
- updated to Mesa 6.5.3rc2
  * a number of bug fixes since the first RC
* Sat Apr 21 2007 sndirsch@suse.de
- updated to Mesa 6.5.3rc1
- obsoletes the following patches:
  * bug-211314_mesa-destroy_buffers.diff
  * bug-211314_mesa-framebuffer-counting.diff
  * bug-211314-patch-1.diff
  * bug-211314-patch-2.diff
  * bug-211314-patch-3.diff
  * bug-211314-patch-4.diff
  * bug-211314-patch-5.diff
  * bug-211314-patch-6.diff
  * bug-211314-patch-7.diff
  * bug-211314-patch-8.diff
  * bug-211314-patch-9.diff
  * bug-211314-patch-10.diff
  * bug-211314-patch-11.diff
  * bug-211314_mesa-refcount-memleak-fixes.diff
  * Mesa-6.5.2-fix_radeon_cliprect.diff
* Tue Apr 10 2007 sndirsch@suse.de
- Mesa-6.5.2-fix_radeon_cliprect.diff:
  * fixes X.Org Bug #9876
* Wed Apr  4 2007 sndirsch@suse.de
- bug-211314_mesa-refcount-memleak-fixes.diff:
  * Fix for memleaks and refount bugs (Bug #211314)
* Mon Mar 19 2007 sndirsch@suse.de
- no longer apply bug-211314_mesa-context.diff (Bug #211314,
  commment #114)
- added different Mesa patches (Bug #211314, comments #114/#115)
* Wed Mar 14 2007 sndirsch@suse.de
- removed libIndirectGL.so (Bug #254317)
- README.updates: new location of DRI drivers (Bug #254318)
* Thu Jan 25 2007 sndirsch@suse.de
- fixed build on ppc64/s390/s390x
* Thu Jan 18 2007 sndirsch@suse.de
- added libIndirectGL for indirect rendering only (Bug #234154)
* Wed Jan 17 2007 sndirsch@suse.de
- bug-211314_mesa-context.diff:
  * fixes Xserver crash in software rendering fallback (Bug #211314)
* Tue Jan  9 2007 sndirsch@suse.de
- disabled build of sis DRI driver on i64 to fix build
* Sat Dec  2 2006 sndirsch@suse.de
- updated to Mesa 6.5.2
  * New features
  - New DRI memory manager system. Currently used by the i915tex
    driver. Other DRI drivers will be updated to use the new memory
    manager in coming months. To use the new driver you'll need the
    most recent DRM library and drivers (version 2.2 or later) and a
    recent xf86-video-intel driver module from X.org. New features
    resulting from this work include:
  * EXT_framebuffer_objects, render to texture
  * ARB_pixel_buffer_objects
  * Accelerated CopyTexSubimage, DrawPixels, ReadPixels, CopyPixels
  * Accelerated texture uploads from pixel buffer objects
  * Potentially texturing directly from the pixel buffer object
    (zero copy texturing).
  - New Intel i965 DRI driver
  - New minstall script to replace normal install program
  - Faster fragment program execution in software
  - Added (or fixed) support for GLX_SGI_make_current_read to the
    following drivers:
  * radeon
  * savage
  * mga
  * tdfx
  - Added support for ARB_occlusion_query to the tdfx driver
    (Ian Romanick).
  * Bug fixes
  - fixed invalid memory read while rendering textured points (bug 8320)
  - fixed problems with freebsd-dri configuration (bug 8344)
  - Mesa's fake glxGetCurrentContext() wasn't thread-aware
  - OPTION NV_position_invariant didn't work in NV vertex programs
  - glDrawPixels into a user-created framebuffer object could crash Xlib driver
  - Line clipping was broken in some circumstances
  - fragment.fogcoord register didn't always contain the correct value
  - RGBA logicops didn't work reliably in some DRI drivers
  - Fixed broken RGBA LogicOps in Intel DRI drivers
  - Fixed some fragment program bugs in Intel i915 DRI driver
  - Fixed glGetVertexAttribfvARB bug 8883
  - Implemented glGetUniform[fi]vARB() functions
  - Fixed glDrawPixels(GL_COLOR_INDEX, GL_BITMAP) segfault (bug 9044)
  - Fixed some gluBuild2DMipmaps() bugs (Greg McGarragh)
  - Fixed broken "mgl" name mangling
  - Indirect rending was broken for glMap* functions (bug 8899)
  * Internal code changes
  - The device driver functions ResizeBuffers and GetBufferSize have
    been decprecated.
  - OpenGL 2.0 and 2.1 support is nearly done. We need to do quite a
    bit more testing of the shading language functions.
* Thu Nov 23 2006 sndirsch@suse.de
- enabled build of i965 DRI driver on x86_64
* Fri Nov 10 2006 sndirsch@suse.de
- fixed typos (Bug #219732)
* Wed Oct 18 2006 sndirsch@suse.de
- added static libGLU to Mesa-devel-static package (Bug #212532)
* Tue Oct 10 2006 sndirsch@suse.de
- fixed build on s390x
* Mon Oct  9 2006 sndirsch@suse.de
- i915-crossbar.diff:
  * fixes ARB_texture_env_crossbar extension (X.Org Bug #8292)
* Mon Sep 18 2006 sndirsch@suse.de
- updated to Mesa 6.5.1:
  New:
  * Intel i965 DRI driver
  * GL_APPLE_vertex_array_object extension (Ian Romanick)
  * GL_EXT_texture_sRGB extension
  * GL_EXT_gpu_program_parameters (Ian Romanick)
  * "engine" demo
  * updated fbdev driver and GLUT for fbdev (Sean D'Epagnier)
  * many updates to the DRI drivers
  Changes:
  * The glVertexAttribARB functions no longer alias the
    conventional vertex attributes.
  * glxinfo program prints more info with -l option
  * GL_FRAGMENT_PROGRAM_NV and GL_FRAGMENT_PROGRAM_ARB are now
    compatible, in terms of glBindProgramARB()
  * The GL_ARB_vertex_program attribute vertex.weight is now
    accepted by the parser, even though the GL_ARB_vertex_blend and
    GL_EXT_vertex_weighting extensions aren't supported. Allows Warcraft
    to run.
  Bug fixes:
  * fixed broken texture border handling for depth textures (bug 6498)
  * removed the test for duplicated framebuffer attachments, per
    version 117 of the GL_EXT_framebuffer_object specification
  * fixed a few render-to-texture bugs, including render to depth
    texture
  * clipping of lines against user-defined clip planes was broken
    (6512)
  * assembly language dispatch for SPARC was broken (bug 6484)
  * assorted compilation fixes on various Unix platforms (Dan Schikore)
  * glPopAttrib could restore an invalid value for GL_DRAW_BUFFER
  * assorted minor fixes for 16 and 32 bit/channel modes
  * fixed assorted bugs in texture compression paths
  * fixed indirect rendering vertex array crashes (bug 6863)
  * glDrawPixels GL_INDEX_OFFSET didn't always work
  * fixed convolution memory leak (bug 7077)
  * rectangular depth textures didn't work
  * invalid mode to glBegin didn't generate an error (bug 7142)
  * 'normalized' parameter to glVertexAttribPointerARB didn't work
  * disable bogus GLX_SGI_video_sync extension in xlib driver
  * fixed R128 driver locking bug (Martijn van Oosterhout)
  * using evaluators with vertex programs caused crashes (bug 7564)
  * fragment.position wasn't set correctly for point/line primitives
  * fixed parser bug for scalar sources for GL_NV_fragment_program
  * max fragment program length was incorrectly 128, now 1024
  * writes to result.depth in fragment programs weren't clamped to
    [0,1]
  * fixed potential dangling pointer bug in glBindProgram()
  * fixed some memory leaks (and potential crashes) in Xlib driver
* Sat Sep  9 2006 sndirsch@suse.de
- removed two source files with imcompatible license from Mesa
  tarball (Bug #204110)
- added a check to specfile to make sure that these will not be
  reintroduced with the next Mesa update again (Bug #204110)
* Mon Aug 21 2006 sndirsch@suse.de
- moved via profile.d scripts from x11-tools to this package
* Thu Aug 17 2006 sndirsch@suse.de
- dri_driver_dir.diff:
  * DEFAULT_DRIVER_DIR is set during make call in specfile
    (Bug #199958)
- disabled build of GLw (extra package MesaGLw)
* Mon Jul 31 2006 sndirsch@suse.de
- updated to Mesa 6.5_20060712; required by xorg-server 1.1.99.3
- cleanup
* Wed Jul 19 2006 ro@suse.de
- adapt to /usr/lib move
* Sun Jun 25 2006 sndirsch@suse.de
- fixed build for X.Org 7.1
* Wed Jun 21 2006 sndirsch@suse.de
- udpated to Mesa 6.5
  * obsoletes
  - Mesa-glx-x11-render-texture-2.diff
  - Mesa-radeon-large-textures-1.diff
  - Mesa_945GM.patch
  - mesa-6.4.2-dri-copy-sub-buffer-2.patch
  - mesa-6.4.2-scissor-fix-1.patch
- cleanup: removed no longer used sources/patches
  * missing-headers.diff
  * missing-headers.tar.bz2
  * glidelibs-i386.tar.gz
* Mon Jun 19 2006 sndirsch@suse.de
- added missing manual pages (Bug #185707)
* Fri Jun 16 2006 dreveman@suse.de
- Fix issue in copy-sub-buffer patch. Extension was not
  enabled on all radeon cards. (bnc 174839)
- Add radeon large texture patch (back port from latest stable
  release of Mesa). (bnc 174839)
* Tue May 23 2006 sndirsch@suse.de
- no longer remove NVIDIA installer in %%pre
* Mon May 22 2006 sndirsch@suse.de
- reverted Mesa/MesaGLU split
- fixed libGLcore.so.1 (e.g. soname); required to create a
  non-conflicting package for the NVIDIA driver (Bug #175683)
* Tue May 16 2006 sndirsch@suse.de
- splitted off MesaGLU/MesaGLU-devel
- added ldconfig to %%postun
* Sat Apr 22 2006 sndirsch@suse.de
- licensefix.patch:
  * fixed incompatible GPL license (Bug #133238, Mesa Bug #6490)
* Thu Apr 13 2006 sndirsch@suse.de
- added /usr/X11R6/%%{_lib}/modules/dri/updates/README.updates to
  document DRI driver update mechanism
* Wed Apr 12 2006 sndirsch@suse.de
- enhanced search path for DRI driver updates (FATE #300553)
* Mon Apr  3 2006 sndirsch@suse.de
- mesa-6.4.2-dri-copy-sub-buffer-1.patch:
  * needed for open source drivers to work with Xgl (David Reveman)
* Wed Mar 15 2006 mhopf@suse.de
- Fix for bug #157051, issue 1:
  On intel the graphics is only displayed correctly after a scissor region
  other than full screen is specified.
* Mon Feb  6 2006 sndirsch@suse.de
- update to Mesa 6.4.2 (obsoletes tnl_init.diff)
  * New items:
  - added OSMesaColorClamp() function/feature
  - added wglGetExtensionStringARB() function
  * Bug fixes:
  - fixed some problems when building on Windows
  - GLw header files weren't installed by installmesa script (bug 5396)
  - GL/glfbdev.h file was missing from tarballs
  - fixed TNL initialization bug which could lead to crash (bug 5791)
* Mon Feb  6 2006 sndirsch@suse.de
- tnl_init.diff (Mesa Bug #5791):
  * fixes TNL initialization bug which could lead to crash
    (CVS changelog: use calloc instead of malloc so try_codegen
    field is initialized to zero)
* Mon Jan 30 2006 sndirsch@suse.de
- glxext-sgi-hyperpipe.patch:
  * GLX_SGIX_hyperpipe_group -> GLX_SGIX_hyperpipe (Bug #146646)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 sndirsch@suse.de
- Mesa_945GM.patch:
  * 945GM support by Charles Johnson (FATE #151391)
* Wed Dec 28 2005 sndirsch@suse.de
- moved header files and libGL.so from Mesa-devel to Mesa to make
  uninstallation of nvidia driver in %%pre of Mesa-devel obsolete
* Wed Nov 30 2005 sndirsch@suse.de
- update to Mesa 6.4.1
* Fri Nov 18 2005 sndirsch@suse.de
- updated to Mesa 6.4 branch (2005-11-18)
- added static libGL (new Mesa-devel-static package)
- removed glut headers from installation (we use freeglut!)
* Tue Nov 15 2005 sndirsch@suse.de
- updated to Mesa 6.4 branch (2005-11-12)
* Wed Nov  9 2005 sndirsch@suse.de
- fixed libOSMesa build
* Tue Nov  8 2005 sndirsch@suse.de
- added build of libOSMesa, e.g. required by tulip package
* Tue Nov  8 2005 sndirsch@suse.de
- added include files for SGI's OpenGL Xt/Motif widgets, e.g.
  required by z88 package
  * GLwMDrawA.h
  * GLwDrawAP.h
  * GLwMDrawAP.h
  * GLwDrawA.h
- enabled Motif support in libGLw, also required by z88 package
* Mon Nov  7 2005 sndirsch@suse.de
- use glx headers from xorg-x11-devel package
* Fri Oct 28 2005 sndirsch@suse.de
- Mesa-glx-x11-render-texture-2.diff/missing-headers.diff:
  * new MESA_render_texture extension for Xgl (dreveman/mhopf)
* Tue Oct 25 2005 sndirsch@suse.de
- fixed DRI driver path for 64bit platforms
* Tue Oct 25 2005 sndirsch@suse.de
- update to Mesa 6.4
* Mon Oct 24 2005 sndirsch@suse.de
- build DRI compatible libGL
* Fri Oct 21 2005 sndirsch@suse.de
- added dummy nvidia libGLcore.so.1 for applications, which are
  still linked against libGL.so.1 of older nvidia driver releases
- duplicate libGL (located in /usr/lib/GL) to make workarounds
  like LD_PRELOAD possible if nvidia driver is installed and its
  libGl does not work
* Wed Oct 19 2005 sndirsch@suse.de
- no longer install libglide (disables 3Dfx DRI support)
* Sun Oct  2 2005 sndirsch@suse.de
- created package
